Bug 346411 - yum update crash packages when free space too small
yum update crash packages when free space too small
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-23 03:56 EDT by Svetoslav P. Chukov
Modified: 2014-01-21 17:59 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:59:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Svetoslav P. Chukov 2007-10-23 03:56:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20060207 Galeon/1.3.21

Description of problem:
This issue happen when yum updates packages with too small amount of free hard disk space just to download the packages but not to finish the update process.
After the update I got a lot of "/lib/libc.so.6 not found" error messages.


Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Steps to Reproduce:
1.Try to update some packages with enough free space only for the download(if the packages summary size is 100 mb you should have about 105 mb free space).
2.
3.

Actual Results:
I have totally useless machine. When I execute some application I have error message "/lib/libc.so.6 not found"

Expected Results:
Successful update, working application and libraries.

Additional info:
Here are some lines from the log messages file.

Oct 20 13:42:01 hydra1 yum: Updated: perl-ExtUtils-Embed - 1.26-30.fc8.i386
Oct 20 13:42:01 hydra1 yum: Updated: perl-Test-Simple - 0.62-30.fc8.i386
Oct 20 13:42:01 hydra1 yum: Updated: perl-Glib - 1.144-1.fc8.2.i386
Oct 20 13:43:49 hydra1 yum: java-1.5.0-gcj-src: ts_done name in te is policycoreutils should be java-1.5.0-gcj-src
Oct 20 13:43:50 hydra1 yum: usermode: ts_done name in te is java-1.5.0-gcj-src should be usermode
Oct 20 13:43:53 hydra1 yum: arts-devel: ts_done name in te is usermode should be arts-devel
Oct 20 13:43:56 hydra1 yum: php-cli: ts_done name in te is wine-core should be php-cli
Oct 20 13:44:46 hydra1 yum: glib2-devel: ts_done name in te is glibc-devel should be glib2-devel
Oct 20 13:50:16 hydra1 yum: libstdc++-devel: ts_done name in te is gnome-media should be libstdc++-devel
Oct 20 13:51:34 hydra1 acpid: client connected from 2507[0:0]
Oct 20 13:51:34 hydra1 acpid: 1 client rule loaded
Oct 20 13:53:31 hydra1 init: cannot execute "/sbin/mingetty"
Oct 20 13:53:32 hydra1 init:last message repeated 9 times
Oct 20 13:53:32 hydra1 init: Id "2" respawning too fast: disabled for 5 minutes
Oct 20 13:53:41 hydra1 init: cannot execute "/sbin/shutdown"
Comment 1 Jeremy Katz 2007-10-23 10:06:27 EDT
rpm should be telling us when there's not enough free space to do the update
Comment 2 Bug Zapper 2008-11-26 03:03:51 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-08 23:59:30 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.